Verify a transaction
GET
/
api
/
v1
/
checkout
/
{transactionRef}
/
verify
cURL
curl --request GET \
--url https://api.novacpayment.com/api/v1/checkout/{transactionRef}/verify \
--header 'Authorization: <api-key>'import requests
url = "https://api.novacpayment.com/api/v1/checkout/{transactionRef}/verify"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.novacpayment.com/api/v1/checkout/{transactionRef}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transaction details retrieved successfully",
"data": {
"status": "successful",
"id": 0,
"transactionReference": "string",
"amount": 0,
"chargedAmount": 0,
"currency": "NGN",
"transactionFee": 0,
"gatewayResponseCode": "00",
"gatewayResponseMessage": "string",
"domain": "string",
"channel": "string",
"requestIp": "string",
"paymentDescriptor": "NOVAC",
"transactionType": "",
"redirectUrl": "",
"card": {
"first6Digits": "string",
"last4Digits": "string",
"issuer": "",
"country": "string",
"type": "string"
},
"customer": {
"id": 0,
"customerCode": "string",
"email": "string",
"name": "string"
},
"transferDetail": {
"bankCode": "string",
"bankName": "string",
"accountNumber": "string",
"sessionId": "string",
"creditAccountName": "string",
"originatorName": "string",
"originatorAccountNumber": "string"
}
}
}{
"status": false,
"message": "no record found for transaction with reference ....."
}Authorizations
Input your API key (e.g. your public key) as a Bearer token to access this API.
Path Parameters
Was this page helpful?
⌘I
cURL
